Bug 1369716 - Checkpoint/rollback improvements
Summary: Checkpoint/rollback improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-24 08:36 UTC by Beniamino Galvani
Modified: 2017-08-01 09:17 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.8.0-0.2.git20170215.1d40c5f4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:17:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC
GNOME Bugzilla 770315 None None None 2016-08-24 08:36:09 UTC

Description Beniamino Galvani 2016-08-24 08:36:10 UTC
Better handle unrealized/unmanaged devices. See the upstream bugzilla for more details.

https://bugzilla.gnome.org/show_bug.cgi?id=770315

Comment 5 Beniamino Galvani 2017-03-20 14:38:44 UTC
The rollback now restores the previous unmanaged status of a
device. For example, if you perform a checkpoint on eth0, then set
'nmcli device modify eth0 managed no', the rollback should make it
managed again.

The branch also fixes the case in which a software device is
snapshotted and then removed. The rollback now should recreate the
device.

Also, passing an empty list to the snapshot functionality is
equivalent to passing all devices (including unmanaged ones).

There are a lot possible scenarios and so testing everything is
probably difficult. Here is a list in non-increasing importance order
of what could be tested:

 - checkpoint with no timeout, manual rollback
 - checkpoint with timeout, automatic rollback
 - checkpoint/rollback of multiple devices
 - global checkpoint (all devices)
 - check that the explicitly-unmanaged status of a device is restored
   upon rollback
 - check that software devices are recreated on rollback
 - checkpoint flags [1]

[1] https://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/libnm-core/nm-dbus-interface.h?id=714504faf27c74a9b26e0f1d4f8bdaff7bb24181#n807

Comment 6 errata-xmlrpc 2017-08-01 09:17:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.